import type { BaseClientOptions } from "../../../../BaseClient";
import { type NormalizedClientOptionsWithAuth } from "../../../../BaseClient";
import { AccountDetailsClient } from "../resources/accountDetails/client/Client";
import { AccountsClient } from "../resources/accounts/client/Client";
import { AccountTokenClient } from "../resources/accountToken/client/Client";
import { AsyncPassthroughClient } from "../resources/asyncPassthrough/client/Client";
import { AttachmentsClient } from "../resources/attachments/client/Client";
import { AuditTrailClient } from "../resources/auditTrail/client/Client";
import { AvailableActionsClient } from "../resources/availableActions/client/Client";
import { CollectionsClient } from "../resources/collections/client/Client";
import { CommentsClient } from "../resources/comments/client/Client";
import { ContactsClient } from "../resources/contacts/client/Client";
import { DeleteAccountClient } from "../resources/deleteAccount/client/Client";
import { FieldMappingClient } from "../resources/fieldMapping/client/Client";
import { ForceResyncClient } from "../resources/forceResync/client/Client";
import { GenerateKeyClient } from "../resources/generateKey/client/Client";
import { IssuesClient } from "../resources/issues/client/Client";
import { LinkedAccountsClient } from "../resources/linkedAccounts/client/Client";
import { LinkTokenClient } from "../resources/linkToken/client/Client";
import { PassthroughClient } from "../resources/passthrough/client/Client";
import { ProjectsClient } from "../resources/projects/client/Client";
import { RegenerateKeyClient } from "../resources/regenerateKey/client/Client";
import { RolesClient } from "../resources/roles/client/Client";
import { ScopesClient } from "../resources/scopes/client/Client";
import { SyncStatusClient } from "../resources/syncStatus/client/Client";
import { TagsClient } from "../resources/tags/client/Client";
import { TeamsClient } from "../resources/teams/client/Client";
import { TicketsClient } from "../resources/tickets/client/Client";
import { UsersClient } from "../resources/users/client/Client";
import { WebhookReceiversClient } from "../resources/webhookReceivers/client/Client";
export declare namespace TicketingClient {
    type Options = BaseClientOptions;
}
export declare class TicketingClient {
    protected readonly _options: NormalizedClientOptionsWithAuth<TicketingClient.Options>;
    protected _accountDetails: AccountDetailsClient | undefined;
    protected _accountToken: AccountTokenClient | undefined;
    protected _accounts: AccountsClient | undefined;
    protected _asyncPassthrough: AsyncPassthroughClient | undefined;
    protected _attachments: AttachmentsClient | undefined;
    protected _auditTrail: AuditTrailClient | undefined;
    protected _availableActions: AvailableActionsClient | undefined;
    protected _collections: CollectionsClient | undefined;
    protected _comments: CommentsClient | undefined;
    protected _contacts: ContactsClient | undefined;
    protected _scopes: ScopesClient | undefined;
    protected _deleteAccount: DeleteAccountClient | undefined;
    protected _fieldMapping: FieldMappingClient | undefined;
    protected _generateKey: GenerateKeyClient | undefined;
    protected _issues: IssuesClient | undefined;
    protected _linkToken: LinkTokenClient | undefined;
    protected _linkedAccounts: LinkedAccountsClient | undefined;
    protected _passthrough: PassthroughClient | undefined;
    protected _projects: ProjectsClient | undefined;
    protected _regenerateKey: RegenerateKeyClient | undefined;
    protected _roles: RolesClient | undefined;
    protected _syncStatus: SyncStatusClient | undefined;
    protected _forceResync: ForceResyncClient | undefined;
    protected _tags: TagsClient | undefined;
    protected _teams: TeamsClient | undefined;
    protected _tickets: TicketsClient | undefined;
    protected _users: UsersClient | undefined;
    protected _webhookReceivers: WebhookReceiversClient | undefined;
    constructor(options: TicketingClient.Options);
    get accountDetails(): AccountDetailsClient;
    get accountToken(): AccountTokenClient;
    get accounts(): AccountsClient;
    get asyncPassthrough(): AsyncPassthroughClient;
    get attachments(): AttachmentsClient;
    get auditTrail(): AuditTrailClient;
    get availableActions(): AvailableActionsClient;
    get collections(): CollectionsClient;
    get comments(): CommentsClient;
    get contacts(): ContactsClient;
    get scopes(): ScopesClient;
    get deleteAccount(): DeleteAccountClient;
    get fieldMapping(): FieldMappingClient;
    get generateKey(): GenerateKeyClient;
    get issues(): IssuesClient;
    get linkToken(): LinkTokenClient;
    get linkedAccounts(): LinkedAccountsClient;
    get passthrough(): PassthroughClient;
    get projects(): ProjectsClient;
    get regenerateKey(): RegenerateKeyClient;
    get roles(): RolesClient;
    get syncStatus(): SyncStatusClient;
    get forceResync(): ForceResyncClient;
    get tags(): TagsClient;
    get teams(): TeamsClient;
    get tickets(): TicketsClient;
    get users(): UsersClient;
    get webhookReceivers(): WebhookReceiversClient;
}
